Bug 330021 - Sender name is lost when answering mail
Summary: Sender name is lost when answering mail
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 4.10.5
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-16 10:57 UTC by Gawan Errenst
Modified: 2017-01-07 22:11 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gawan Errenst 2014-01-16 10:57:49 UTC
When the name-field in the settings of the used Identity contains a comma, for example "Joe Dalton, Dalton Brothers" and i answer an email, the name is lost. That means, the recipient of the answer does not see the name. When i look in the email-code, the name is not present in the from-header.

Reproducible: Always

Steps to Reproduce:
1. edit your identity and place a comma in your name
2. answer an email
3. look in the receiving email-account for the answered email
Actual Results:  
The senders name is not displayed.

Expected Results:  
The senders name should be displayed.

Linux-Distribution: openSUSE 12.3
KDE-Version: 4.10.5 "release 1"
Comment 1 Denis Kurz 2016-09-24 18:13:02 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kmail2 (version 5.0 or later, as part of KDE Applications 15.12 or later), it gets closed in about three months.
Comment 2 Denis Kurz 2017-01-07 22:11:38 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.